# Function constructableModuleWrapper

- constructableModuleWrapper<TWrapper>(): (<U>(constructor) => void)

- #### Type Parameters

  - #### TWrapper extends ModuleWrapper<Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>, TWrapper>

  #### Returns (<U>(constructor) => void)

  - - <U>(constructor): void

    - #### Type Parameters

      - #### U extends ConstructableModuleWrapper<TWrapper>

      #### Parameters

      - ##### constructor: U

      #### Returns void

  - Defined in modules/packages/module/packages/wrapper/dist/types/Wrapper.d.ts:24

Generated using TypeDoc